<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>
        <record id="view_logistics_route_search" model="ir.ui.view">
            <field name="name">logistics.route.search</field>
            <field name="model">logistics.route</field>
            <field name="arch" type="xml">
                <search>
                    <field name="name"/>
                    <field name="departure_node_id"/>
                    <field name="arrival_node_id"/>
                    <field name="transport_type"/>
                    <filter string="Active" name="active" domain="[('active','=',True)]"/>
                    <filter string="Archived" name="inactive" domain="[('active','=',False)]"/>
                    <separator/>
                    <group expand="0" string="Group By">
                        <filter string="Transport Type" name="group_transport_type"
                                context="{'group_by':'transport_type'}"/>
                        <filter string="Departure Node" name="group_departure_node"
                                context="{'group_by':'departure_node_id'}"/>
                    </group>
                </search>
            </field>
        </record>
    </data>
</odoo>
